Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.management.security.authorization
Interface PolicyListerMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, ListerMBean, weblogic.management.utils.PropertiesListerMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

public interface PolicyListerMBean
extends weblogic.management.utils.PropertiesListerMBean

Provides a set of methods for listing data about policies. An Authorization-provider MBean can optionally extend this MBean. The WebLogic Server Administration Console detects when an Authorization provider extends this MBean and automatically provides a GUI for using these methods.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Properties` | `getPolicy(String resourceId)` Obtain a policy definition for a resource.
`String` | `listAllPolicies(int maximumToReturn)` Obtain an unsorted list of policy definitions.
`String` | `listChildPolicies(String resourceId, int maximumToReturn)` Obtain a list of policy definitions for the children of a resource.
`String` | `listPoliciesByApplication(String applicationName, int maximumToReturn)` Obtain an list of policy definitions by application name.
`String` | `listPoliciesByComponent(String componentName, String componentType, String applicationName, int maximumToReturn)` Obtain an list of policy definitions for a specific J2EE component.
`String` | `listPoliciesByResourceType(String resourceType, int maximumToReturn)` Obtain an list of policy definitions by resource type.
`String` | `listRepeatingActionsPolicies(String resourceId, int maximumToReturn)` Obtain a list of policy definitions for the actions that are repeating on a resource.

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### getPolicy

    public Properties getPolicy(String resourceId)
                         throws InvalidParameterException

  Obtain a policy definition for a resource. A null is returned when no policy is found. <p> The `Properties`PropertiesListerMBean.

  Parameters:
    `resourceId` - - a security resource identifier.
  Throws:
    `InvalidParameterException`

### listAllPolicies

    public String listAllPolicies(int maximumToReturn)
                           throws NotFoundException

  Obtain an unsorted list of policy definitions.

  This method returns a cursor that you can pass to the methods from `weblogic.management.utils.PropertiesListerMBean` (which this MBean extends) to iterate through the returned list.

  Parameters:
    `maximumToReturn` - - The maximum number of entires to return. Use 0 to return all policy definitions.
  Throws:
    `NotFoundException`

### listChildPolicies

    public String listChildPolicies(String resourceId,
                                    int maximumToReturn)
                             throws NotFoundException,
                                    InvalidParameterException

  Obtain a list of policy definitions for the children of a resource.

  This method returns a cursor that you can pass to the methods from `weblogic.management.utils.PropertiesListerMBean` (which this MBean extends) to iterate through the returned list.

  Parameters:
    `resourceId` - - a security resource identifier.
    `maximumToReturn` - - The maximum number of entires to return. Use 0 to return all policy definitions.
  Throws:
    `NotFoundException`
    `InvalidParameterException`

### listPoliciesByApplication

    public String listPoliciesByApplication(String applicationName,
                                            int maximumToReturn)
                                     throws NotFoundException,
                                            InvalidParameterException

  Obtain an list of policy definitions by application name.

  This method returns a cursor that you can pass to the methods from `weblogic.management.utils.PropertiesListerMBean` (which this MBean extends) to iterate through the returned list.

  Parameters:
    `applicationName` - - The name of the application.
    `maximumToReturn` - - The maximum number of entires to return. Use 0 to return all policy definitions.
  Throws:
    `NotFoundException`
    `InvalidParameterException`

### listPoliciesByComponent

    public String listPoliciesByComponent(String componentName,
                                          String componentType,
                                          String applicationName,
                                          int maximumToReturn)
                                   throws NotFoundException,
                                          InvalidParameterException

  Obtain an list of policy definitions for a specific J2EE component.

  This method returns a cursor that you can pass to the methods from `weblogic.management.utils.PropertiesListerMBean` (which this MBean extends) to iterate through the returned list.

  Parameters:
    `componentName` - - The name of the component.
    `componentType` - - The component type.
    `applicationName` - - The name of the application.
    `maximumToReturn` - - The maximum number of entires to return. Use 0 to return all policy definitions.
  Throws:
    `NotFoundException`
    `InvalidParameterException`

### listPoliciesByResourceType

    public String listPoliciesByResourceType(String resourceType,
                                             int maximumToReturn)
                                      throws NotFoundException,
                                             InvalidParameterException

  Obtain an list of policy definitions by resource type.

  This method returns a cursor that you can pass to the methods from `weblogic.management.utils.PropertiesListerMBean` (which this MBean extends) to iterate through the returned list.

  Parameters:
    `resourceType` - - The name of the resource type specified by a `weblogic.security.spi.Resource` object.
    `maximumToReturn` - - The maximum number of entires to return. Use 0 to return all policy definitions.
  Throws:
    `NotFoundException`
    `InvalidParameterException`

### listRepeatingActionsPolicies

    public String listRepeatingActionsPolicies(String resourceId,
                                               int maximumToReturn)
                                        throws NotFoundException,
                                               InvalidParameterException

  Obtain a list of policy definitions for the actions that are repeating on a resource.

  This method returns a cursor that you can pass to the methods from `weblogic.management.utils.PropertiesListerMBean` (which this MBean extends) to iterate through the returned list.

  Obtain a list of policy definitions for the actions that are repeating on a resource.

  Parameters:
    `resourceId` - - a security resource identifier.
    `maximumToReturn` - - The maximum number of entires to return. Use 0 to return all policy definitions.
  Throws:
    `NotFoundException`
    `InvalidParameterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD